ExtraFieldUtils.UnparseableExtraField (Apache Ant API)
Keywords: org.apache.tools.zip.ExtraFieldUtils.UnparseableExtraField class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.zip
Class ExtraFieldUtils.UnparseableExtraField

    java.lang.Object
      org.apache.tools.zip.ExtraFieldUtils.UnparseableExtraField

Enclosing class:
  ExtraFieldUtils

    public static final class ExtraFieldUtils.UnparseableExtraField

extends java.lang.Object

"enum" for the possible actions to take if the extra field cannot be parsed.

Field Summary
`static ExtraFieldUtils.UnparseableExtraField` | `READ` Read the extra field data into an instance of `UnparseableExtraFieldData`.
`static int` | `READ_KEY` Key for "read" action.
`static ExtraFieldUtils.UnparseableExtraField` | `SKIP` Skip the extra field entirely and don't make its data available - effectively removing the extra field data.
`static int` | `SKIP_KEY` Key for "skip" action.
`static ExtraFieldUtils.UnparseableExtraField` | `THROW` Throw an exception if field cannot be parsed.
`static int` | `THROW_KEY` Key for "throw an exception" action.

Method Summary
`int` | `getKey()` Key of the action to take.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### THROW_KEY

    public static final int THROW_KEY

  Key for "throw an exception" action.

  See Also:
    Constant Field Values

### SKIP_KEY

    public static final int SKIP_KEY

  Key for "skip" action.

  See Also:
    Constant Field Values

### READ_KEY

    public static final int READ_KEY

  Key for "read" action.

  See Also:
    Constant Field Values

### THROW

    public static final ExtraFieldUtils.UnparseableExtraField THROW

  Throw an exception if field cannot be parsed.

### SKIP

    public static final ExtraFieldUtils.UnparseableExtraField SKIP

  Skip the extra field entirely and don't make its data available - effectively removing the extra field data.

### READ

    public static final ExtraFieldUtils.UnparseableExtraField READ

  Read the extra field data into an instance of `UnparseableExtraFieldData`.

Method Detail

### getKey

    public int getKey()

  Key of the action to take.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD